org.apache.cassandra.cql3.statements

## Class DropIndexStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.CFStatement
    - - org.apache.cassandra.cql3.statements.SchemaAlteringStatement
      - - org.apache.cassandra.cql3.statements.DropIndexStatement

All Implemented Interfaces:
  CQLStatement

    public class DropIndexStatement
    extends SchemaAlteringStatement

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`ParsedStatement.Prepared`

### Field Summary

Fields
`boolean` `ifExists`
`java.lang.String` `indexName`

### Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement

`cfName`

### Constructor Summary

Constructors
Constructor and Description
`DropIndexStatement(java.lang.String indexName, boolean ifExists)`

### Method Summary

Methods
`void` `announceMigration()`
`ResultMessage.SchemaChange.Change` `changeType()`
`void` `checkAccess(ClientState state)` Perform any access verification necessary for the statement.
`void` `validate(ClientState state)` Perform additional validation required by the statment.

### Methods inherited from class org.apache.cassandra.cql3.statements.SchemaAlteringStatement

`execute, executeInternal, getBoundTerms, prepare, prepareKeyspace`

### Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement

`columnFamily, keyspace`

### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`getBoundVariables, setBoundVariables`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### indexName

    public final java.lang.String indexName

#### ifExists

    public final boolean ifExists

### Constructor Detail

#### DropIndexStatement

    public DropIndexStatement(java.lang.String indexName,
                      boolean ifExists)

### Method Detail

#### checkAccess

    public void checkAccess(ClientState state)
                     throws UnauthorizedException,
                            InvalidRequestException

Description copied from interface: `CQLStatement`
Perform any access verification necessary for the statement.

Parameters:
  `state` - the current client state
Throws:
  `UnauthorizedException`
  `InvalidRequestException`

#### validate

    public void validate(ClientState state)

Description copied from interface: `CQLStatement`
Perform additional validation required by the statment. To be overriden by subclasses if needed.

Parameters:
  `state` - the current client state

#### changeType

    public ResultMessage.SchemaChange.Change changeType()

Specified by:
  `changeType` in class `SchemaAlteringStatement`

#### announceMigration

    public void announceMigration()
                           throws InvalidRequestException,
                                  ConfigurationException

Specified by:
  `announceMigration` in class `SchemaAlteringStatement`
Throws:
  `InvalidRequestException`
  `ConfigurationException`